[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSMap.Create

Create a new map with given key and data size.

## Declaration

Source position: fgl.pp line 269

`public constructor TFPSMap.Create(`
`AKeySize: Integer = sizeof(Pointer);`
`ADataSize: Integer = sizeof(Pointer)`
`);`

## Arguments

`AKeySize` |  | Size for map keys
`ADataSize` |  | Size for map data

## Description

Create instantiates a new TFPSMap instance and initializes TFPSMap.KeySize and TFPSMap.DataSize with AKeySize and ADataSize, respectively. It also initializes the TFPSMap.OnDataPtrCompare and TFPSMap.OnKeyPtrCompare properties to functions that compare memory blocks.

## Errors

None.

## See also

TFPSMap.Destroy
TFPSMap.KeySize |  | Size (in bytes) for the key
TFPSMap.DataSize |  | Size (in bytes) for the data associated with keys
TFPSMap.OnDataPtrCompare |  | Callback to compare 2 data items
TFPSMap.OnKeyPtrCompare |  | Callback to compare 2 keys